<?php
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
//
// Code History:
//
// BOINNG POSTBUDDY
// for Postnuke 0.6.4
// by tim@boinng.com - http://www.boinng.com
// note: this is a beta. see Version.php for details.

// originally based on the
// PHP-NUKE Add-On 3.0.BETA : iMessenger 1.0 BETA
// which was brought to you by PHPNuke Add-On Team
// Copyright (c) 2000 by Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
// Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
// Heinrich Steenberg AKA KodeWulf
//
// http://www.nukeaddon.com
//
// with additional coding by Damien Tanner of http://www.datageek.org
//
// Special thanks to:
// Jscript refresh bugs come from Pipolo and
// Jscript Netscape fixed come from CHristian Niss
//
// Moved to 0.71x & 0.72x by : Alexander Graef aka MagicX
// http://portalzine.de
// buddy list incooporated and adapted the the pmBOX
//  
//                      portal)Messenger 1.x  
// +++++++++++++++++++++++++++++++++++++++++
//     Buddy Instant Messaging for Postnuke 0.71x
//
// ======================================================
//
// Online Messenger Postbuddy Beta 0.7 Block for Postnuke 7.1x
// by titus@vonkraft.com
//
// ======================================================
// Online Messenger Postbuddy 1.0 beta in 12|2003
//
// New developement and code-changing in many parts by
// Titus v. Kraft [ titus@vonkraft.com ] www.vonkraft.com
// Thanks goes to the PN community
//

$blocks_modules['online_messenger'] = array(
    'func_display' 		=> 'blocks_online_messenger_block',
    'text_type' 		=> 'online_messenger',
    'text_type_long' 		=> 'Online Messenger Block [v1.0]',
    'allow_multiple' 		=> false,
    'form_content' 		=> false,
    'form_refresh' 		=> false,
    'show_preview' 		=> true
);

// Security
pnSecAddSchema("Block_Online_Messenger::", "Block title::");

$sitename = pnConfigGetVar('sitename');
$ModName  = $GLOBALS[name];

function blocks_online_messenger_block($row) {

if (!pnSecAuthAction(0, "Block_Online_Messenger::", "$row[title]::", ACCESS_OVERVIEW)) {
        return;
    }     
        include('modules/OnlineMessenger/includes/config.php');

$ModName  = $GLOBALS[name];
$SelfName = $GLOBALS[file];
# $ModName = basename( dirname( __FILE__ ) );

modules_get_language();

// user other DB, if multiside

if($multisite !="")
{
  $buddyprefix = $multisite;
}   
  else
{
  $buddyprefix = pnConfigGetVar('prefix');
}

$host=$GLOBALS[HTTP_HOST]; 
$buddywindow=clean_sitename_index($host);

if (pnUserloggedin()) {

  list($dbconn) = pnDBGetConn();
  pnModDBInfoLoad('OnlineMessenger');
  $pntable = pnDBGetTables();
  $omtable  = $pntable['o_messenger'];
  $column = &$pntable['o_messenger_column'];
  $uid = pnUserGetVar('uid');
  $result = mysql_query("SELECT $column[allow_popup],$column[allow_block],$column[allow_sound],$column[allow_refresh],$column[allow_avatar] FROM $omtable where $column[user_name] = $uid");

  list($allow_popup,$allow_block,$allow_sound,$allow_refresh,$allow_avatar) =  mysql_fetch_row($result);

  if (!$allow_popup) {
	$allow_block = 1;
  	$allow_popup = 2;
  	$allow_sound = 1;
  	$allow_refresh = 2;
  }

// Save values in form

$row['content'] .=
  "<form name=\"om_values\">"
  ."<input type=\"hidden\" name=\"popup\"   value=\"$allow_popup\">"
  ."<input type=\"hidden\" name=\"sound\"   value=\"$allow_sound\">"
  ."<input type=\"hidden\" name=\"refresh\" value=\"$allow_refresh\">"
  ."</form>";

// Popup Messenger Javascript global code

$row['content'] .= "<script language=\"JavaScript\">
 function IM_SHOW(){
 messenger = window.open('modules.php?op=modload&name=OnlineMessenger&file=postbuddywin','imessenger_2','left=100,top=100,width=200,height=350,toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,copyhistory=0');
 if (window.opener == null) window.opener = self;
 return (messenger);
}</script>";

if ($allow_block == 1) {

// Show Messenger inside Block, iframe for DHTML-refresh

$posttel = "
<iframe
       style=\"left: 0px; 
       top: 0px;
       width: 1px;
       height: 1px;
       z-index = 1\"
       src=\"modules.php?op=modload&name=OnlineMessenger&file=postbuddytel&popup=$allow_popup&sound=$allow_sound&allow_avatar=$allow_avatar&refreshtimer=$allow_refresh&bgcolor1=".substr($GLOBALS[bgcolor1],1,7)."&bgcolor2=".substr($GLOBALS[bgcolor2],1,7)."&bgcolor3=".substr($GLOBALS[bgcolor3],1,7)."\"
       name=\"imessenger_1\"
       id=\"imessenger_1\"
       scrolling=no
       frameborder=0>
</iframe>
";

 $row['content'] .= $posttel;
 include('modules/OnlineMessenger/postbuddy.php');

} elseif ($allow_block == 2) {

// Show Messenger inside Window

 $row['content'] .= "<a href=\"javascript:if (!typeof(messenger)=='undefined')messenger.focus();else messenger=IM_SHOW();messenger.focus();\">Online Messenger</a>";

} elseif ($allow_block == 3) {

 $no_block = true;

} // end allow block

} else {
  $row['content'] .= "<center><table><tr><td width=16><img src=\"modules/OnlineMessenger/images/offline.gif\"></td><td><b>Offline</b></td></tr></table></center><br>"
                    ."<center><a href=\"user.php?module=NS-User\">"._LOGIN."</a></center><br>";  
                   # ."<center><a href=\"user.php?op=check_age&module=NS-NewUser\">"._REGISTER."</a></center><br>";         
       }
       
  if (!$no_block) themesideblock($row);
}

function clean_sitename_index($cleancode) {
$cleancode = str_replace("@", "", $cleancode);
$cleancode = str_replace("/", "", $cleancode);
$cleancode = str_replace(":", "", $cleancode);
$cleancode = str_replace("-", "", $cleancode);
$cleancode = str_replace("_", "", $cleancode);
$cleancode = str_replace("~", "", $cleancode);
$cleancode = str_replace(".", "", $cleancode);
$cleancode = str_replace(")", "", $cleancode);
$cleancode = str_replace("(", "", $cleancode);
$cleancode = str_replace("]", "", $cleancode);
$cleancode = str_replace("[", "", $cleancode);
$cleancode = str_replace(" ", "", $cleancode);
return ($cleancode);
}
?>